Bug 189270 - [new port] graphics/py-pygal, python svg graph plotting library
Summary: [new port] graphics/py-pygal, python svg graph plotting library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-02 23:50 UTC by jjachuf
Modified: 2014-05-22 21:00 UTC (History)
0 users

See Also:


Attachments
file.shar (1.46 KB, text/plain)
2014-05-02 23:50 UTC, jjachuf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jjachuf 2014-05-02 23:50:00 UTC
Is a new port graphics/py-pygal

Fix: -

Patch attached with submission follows:
How-To-Repeat: -
Comment 1 Edwin Groothuis freebsd_committer 2014-05-02 23:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau freebsd_committer 2014-05-19 20:54:16 UTC
Responsible Changed
From-To: freebsd-python->olivierd

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-05-22 20:53:42 UTC
Author: olivierd
Date: Thu May 22 19:53:37 2014
New Revision: 354886
URL: http://svnweb.freebsd.org/changeset/ports/354886
QAT: https://qat.redports.org/buildarchive/r354886/

Log:
  pygal is a dynamic SVG charting library written in python.
  
  WWW: http://pygal.org/
  
  PR:		189270
  Submitted by:	Jose Jachuf <jjachuf@gmail.com>

Added:
  head/graphics/py-pygal/
  head/graphics/py-pygal/Makefile   (contents, props changed)
  head/graphics/py-pygal/distinfo   (contents, props changed)
  head/graphics/py-pygal/pkg-descr   (contents, props changed)
Modified:
  head/graphics/Makefile

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Thu May 22 19:34:27 2014	(r354885)
+++ head/graphics/Makefile	Thu May 22 19:53:37 2014	(r354886)
@@ -851,6 +851,7 @@
     SUBDIR += py-poppler-qt4
     SUBDIR += py-pycha
     SUBDIR += py-pydot
+    SUBDIR += py-pygal
     SUBDIR += py-pyggel
     SUBDIR += py-pyglet
     SUBDIR += py-pygooglechart

Added: head/graphics/py-pygal/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-pygal/Makefile	Thu May 22 19:53:37 2014	(r354886)
@@ -0,0 +1,22 @@
+# Created by: Jose Jachuf <jjachuf@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	pygal
+PORTVERSION=	1.4.6
+CATEGORIES=	graphics python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	jjachuf@gmail.com
+COMMENT=	Python svg graph plotting library
+
+LICENSE=	LGPL3
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}lxml>=3.3.4:${PORTSDIR}/devel/py-lxml
+
+# Python3 ready
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+.include <bsd.port.mk>

Added: head/graphics/py-pygal/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-pygal/distinfo	Thu May 22 19:53:37 2014	(r354886)
@@ -0,0 +1,2 @@
+SHA256 (pygal-1.4.6.tar.gz) = 857a7e4d9fa09f1cbe42a9da85f088054e9c18871af3aa4d05062e67c1a9a122
+SIZE (pygal-1.4.6.tar.gz) = 727605

Added: head/graphics/py-pygal/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-pygal/pkg-descr	Thu May 22 19:53:37 2014	(r354886)
@@ -0,0 +1,3 @@
+pygal is a dynamic SVG charting library written in python.
+
+WWW: http://pygal.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Olivier Duchateau freebsd_committer 2014-05-22 20:54:51 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!